> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Reindex Transaction

> Re-index a finalized transaction that is missing from your wallets' history. A transaction that is already indexed is not processed again.

  <Note>
  Limited to 10 requests per organization per 10 minutes.
  </Note>

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Networks:Transactions:Reindex`: Always required.


## OpenAPI

````yaml /openapi.yaml post /networks/{network}/transactions/reindex
openapi: 3.1.0
info:
  version: 2.0.211
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /networks/{network}/transactions/reindex:
    post:
      tags:
        - Networks
      summary: Reindex Transaction
      description: >-
        Re-index a finalized transaction that is missing from your wallets'
        history. A transaction that is already indexed is not processed again.

          <Note>
          Limited to 10 requests per organization per 10 minutes.
          </Note>
      operationId: reindexTransaction
      parameters:
        - schema:
            type: string
            description: Network name formatted in kebab case
          required: true
          description: Network name formatted in kebab case
          name: network
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                txHash:
                  type: string
                  minLength: 1
                  description: Hash of the transaction to re-index
              required:
                - txHash
              additionalProperties: false
              description: Re-indexes a finalized transaction.
              title: Reindex Transaction
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                required:
                  - success
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.